org.gradle.nativebinaries

## Interface NativeBinaryTasks

- All Superinterfaces:
    Collection<Task>, DomainObjectCollection<Task>, DomainObjectSet<Task>, Iterable<Task>, Set<Task>

      @Incubating
      public interface NativeBinaryTasks
      extends DomainObjectSet<Task>

  Provides access to key tasks used for building the binary.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BuildBinaryTask` | `getBuilder()` The task that builds the binary out of object files: either the link task or create static library task as appropriate.
    `Task` | `getCreateStaticLib()` The create static library task if present.
    `Task` | `getLink()` The link task, if one is present.

    - ### Methods inherited from interface org.gradle.api.DomainObjectSet

      `findAll, matching, matching, withType`

    - ### Methods inherited from interface org.gradle.api.DomainObjectCollection

      `all, all, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, withType, withType`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

- - ### Method Detail

    - #### getLink

          Task getLink()

      The link task, if one is present. Null otherwise.

    - #### getCreateStaticLib

          Task getCreateStaticLib()

      The create static library task if present. Null otherwise.

    - #### getBuilder

          BuildBinaryTask getBuilder()

      The task that builds the binary out of object files: either the link task or create static library task as appropriate.